{% import 'actions.html' as macros %}

{% if button == "invalidate" %}
    {% if type == "workflow" %}
        {{ macros.invalidate(true, job_status, maestro_id, "workflow", "nopropagate") }}
        <!-- Empty div to place on new line -->
        <div></div>
        <div
            class="bg-ellayellow-light border-ellayellow-darker mt-2 inline-flex w-24 items-center justify-center rounded-lg border py-1 lg:w-[12.5rem]"
        >
            <img
                src="/static/information_sign.svg"
                alt="Information sign"
                class="my-3 ml-3 hidden h-7 w-7 lg:block"
            />
            <div class="mx-3 hyphens-auto whitespace-normal text-left text-sm text-gray-500">
                Workflow invalidated!
            </div>
        </div>
    {% elif type == "workflow_step" %}
        {{ macros.invalidate(true, job_status, maestro_id, "workflow_step", "propagate") }}
        <div
            class="bg-ellayellow-light border-ellayellow-darker mt-3 inline-flex w-full items-center justify-center rounded-lg border"
        >
            <img
                src="/static/information_sign.svg"
                alt="Information sign"
                class="mx-3 my-2 h-7 w-7"
            />
            <div class="text-gray-500">Workflow step invalidated!</div>
        </div>
        <!-- Reload Reorder button as invalidated is now true -->
        <div id="reorder-container" hx-swap-oob="innerHTML">
            {{ macros.reorder(true, job_maestro_id, "workflow_step", job_status) }}
        </div>
        <!-- Display message for artefacts as they should now all be invalidated -->
        <div class="mx-2 pt-1" id="invalidate-artefact-container" hx-swap-oob="outerHTML">
            <div
                class="bg-ellayellow-light border-ellayellow-darker inline-flex w-full items-center justify-center rounded-lg border"
            >
                <img
                    src="/static/information_sign.svg"
                    alt="Information sign"
                    class="mx-3 my-2 h-7 w-7"
                />
                <div class="text-gray-500">All output artefacts invalidated!</div>
            </div>
        </div>
    {% elif type == "artefact" %}
        {{ macros.invalidate(true, job_status, maestro_id, "artefact", "propagate") }}
        <div
            class="bg-ellayellow-light border-ellayellow-darker mt-3 inline-flex w-full items-center justify-center rounded-lg border"
        >
            <img
                src="/static/information_sign.svg"
                alt="Information sign"
                class="mx-3 my-2 h-7 w-7"
            />
            <div class="text-gray-500">Artefact invalidated!</div>
        </div>
    {% endif %}
{% elif button == "reorder" %}
    <div
        class="bg-ellayellow-light border-ellayellow-darker inline-flex w-full items-center justify-center rounded-lg border"
    >
        <img src="/static/information_sign.svg" alt="Information sign" class="mx-3 my-2 h-7 w-7" />
        <div class="text-gray-500">Workflow step reordered!</div>
    </div>
{% elif button == "resume" %}
    <div
        class="bg-ellayellow-light border-ellayellow-darker inline-flex w-full items-center justify-center rounded-lg border"
    >
        <img src="/static/information_sign.svg" alt="Information sign" class="mx-3 my-2 h-7 w-7" />
        <div class="text-gray-500">Resuming workflow!</div>
    </div>
{% elif button == "abort" %}
    <div
        class="bg-ellayellow-light border-ellayellow-darker inline-flex w-full items-center justify-center rounded-lg border"
    >
        <img src="/static/information_sign.svg" alt="Information sign" class="mx-3 my-2 h-7 w-7" />
        <div class="text-gray-500">Workflow step aborted!</div>
    </div>
    <!-- Reload Resume button for halted job as it now should be disabled -->
    <div id="resume-container" hx-swap-oob="innerHTML">{{ macros.resume("None", "None") }}</div>
{% endif %}
